Skip to main content
`Ctrl`+`K`

# PetscBLASIntCast

casts a `MPI_Count`, `PetscInt`, `PetscCount` or `PetscInt64` to a `PetscBLASInt` (which may be 32-bits in size), generates an error if the `PetscBLASInt` is not large enough to hold the number.

## Synopsis

    static inline PetscErrorCode PetscBLASIntCast(MPIU_Count a, PetscBLASInt *b)

Not Collective; No Fortran Support

## Input Parameter

- a - the `PetscInt` value

## Output Parameter

- b - the resulting `PetscBLASInt` value, or `NULL` if the result is not needed

## Note

Errors if the integer is negative since PETSc calls to BLAS/LAPACK never need to cast negative integer inputs

## See Also

`PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscMPIIntCast()`, `PetscIntCast()`

## Level

advanced

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages